pink = Color.new(255, 0 , 153)
blue = Color.new(0 , 153, 255)
orange = Color.new(255, 102, 0)
gray = Color.new(153, 153, 153)
black = Color.new(0 , 0 , 0) 
green = Color.new(0 , 128 , 0)
red = Color.new(0 , 128 , 0)
screen:print(194, 136, "Loading: 0%", red)
screen.flip()
 
backround = Image.load("backround.png")
hoog1 = Image.load("hooger1.png")
downsound = Sound.load("ohno.wav")
introtorm = Image.load("tormenting.png")

screen:clear()
screen:print(194, 136, "Loading: 20%", red)
screen.flip() 
 
main = Image.load("main.png")
squaresound = Sound.load("explosion.wav")
 
screen:clear()
screen:print(194, 136, "Loading: 40%", red)
screen.flip() 

 
screen:clear()
screen:print(194, 136, "Loading: 60%", red)
screen.flip() 
 
boltsnd = Sound.load("comp.wav")
trisound = Sound.load("outahere.wav")
ratedsound = Sound.load("RatedPG.wav")
 
screen:clear()
screen:print(194, 136, "Loading: 80%", red)
screen.flip() 
osound = Sound.load("awful.wav")
 
screen:clear()
screen:print(194, 136, "Loading: 90%", red)
screen.flip() 
 
xsound = Sound.load("gunshot.wav")

 
screen:clear()
screen:print(194, 136, "Loading: 100%", blue)
screen.flip() 
 
screen.waitVblankStart(60      )
 
 
screen:blit(0, 0, hoog1, false)
screen.waitVblankStart()
screen.flip() 
boltsnd:play()
screen.waitVblankStart(100   , 0)

screen:blit(0, 0, introtorm, false)
screen.waitVblankStart(50    , 0)
ratedsound:play()
screen.waitVblankStart(28    ,0)

screen.flip()
screen.waitVblankStart(240    , 0)
screen.waitVblankStart(340    ,0)


screen:blit(0, 0, backround, false)
screen.waitVblankStart()
screen.flip()

 Images = {}
Images[1] =  Image.load("mainheadX.png")
Images[2] = Image.load("mainarmsO.png")
Images[3] =  Image.load("mainlegs^.png")
Images[4] =  Image.load("mainultimatesq.png")
Images[5]  = Image.load("mainup.png")
Images[6]  = Image.load("maindown.png")
Images[7] = Image.load("mainleft.png")
Images[8]= Image.load("mainright.png")
Images[9] = Image.load("main.png")
currentImage = 9


while true do
screen:clear() 
screen:blit(0, 0, backround, false)
screen:blit(198, 40,Images[currentImage]) 
 
 
pad = Controls.read()
 
screen:print(135, 251, "Press 'Start' to restart", blue)
screen:print(110, 261, "Press 'Select' for a screenshot", blue)
screen:print(383, 35, "By", black)
screen:print(365, 45, "Hooger", black)
screen:print(365, 65, "blackfang2@hotmail.com", red)
screen:print(365, 55, "PSPUpdates.com", gray)

 
if pad:cross() then
currentImage = 1
xsound:play()
end
 
if pad:circle() then
currentImage = 2
osound:play()
end
 
if pad:triangle() then
currentImage = 3
trisound:play()
end
 
if pad:square() then
currentImage = 4
squaresound:play()
end
 
if pad:up() then
currentImage =5
end
 
if pad:down() then
currentImage = 6
end
 
if pad:left() then
currentImage = 7
end
 
if pad:right() then
currentImage = 8
end

if pad:r() then
currentImage = 9
end 
 
if pad:select() then screen:save("screenshot.tga") end
 
if pad:start() then		
break
end 
 screen.flip()
end